import { AuthMail, DataMail, EsquemaTrabajo } from "./types";
import moment from "moment-timezone";
export declare namespace Utils {
    /**
     * @param dni
     * Dado un RUN sin el DV, obtiene el dígito verificador
     */
    const getDV: (dni: number) => string;
    const logger: import("winston").Logger;
    const isJSONString: (cadena: string) => boolean;
    const stringToAccesgroup: (str: string) => string;
    const momento: () => moment.Moment;
    const sendMailTo: (data: DataMail, auth: AuthMail) => Promise<void>;
}
export declare namespace Turnos {
    /**
     * @param esquemas
     * @param utc
     * @param daySelected
     * Determina el inicio y fin de turno en horario UTC 0 y tz nacional basado en un esquema de trabajo.
     */
    const timesTurno: (esquemas: EsquemaTrabajo[], utc: number, daySelected?: Date) => {
        turnoIni: {
            UTCTurno: string;
            TZTurno: string;
            timeView: string;
        };
        turnoFin: {
            UTCTurno: string;
            TZTurno: string;
            timeView: string;
        };
        turnoString: string;
    };
}
export declare namespace Machine {
    const totalRam: () => string;
    const getCpu: () => string;
    const getCpuSpeed: () => string;
    const getMacAddress: () => string;
    const getIp: () => any;
}
