"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Machine = void 0;
// import { AuthMail, DataMail, EsquemaTrabajo } from "./types";
const os_1 = require("os");
const getmac_1 = __importDefault(require("getmac"));
var Machine;
(function (Machine) {
    Machine.totalRam = () => {
        return (Math.round(os_1.totalmem() / 1000000)).toString() + 'MB';
    };
    Machine.getCpu = () => {
        return os_1.cpus()[0].model;
    };
    Machine.getCpuSpeed = () => {
        return os_1.cpus()[0].speed / 1000 + 'GHZ';
    };
    Machine.getMacAddress = () => {
        return getmac_1.default();
    };
    Machine.getIp = () => {
        const interfaces = os_1.networkInterfaces();
        const addresses = [];
        Object.keys(interfaces).forEach((netInterface) => {
            interfaces[netInterface].forEach((interfaceObject) => {
                if (interfaceObject.family === 'IPv4' && !interfaceObject.internal) {
                    addresses.push(interfaceObject.address);
                }
            });
        });
        return (addresses[0]);
    };
})(Machine = exports.Machine || (exports.Machine = {}));
//# sourceMappingURL=machine.js.map