import moment from "moment-timezone";
export declare namespace Utils {
    /**
     * @param dni
     * Dado un RUN sin el DV, obtiene el dígito verificador
     */
    const getDV: (dni: number) => string;
    const logger: import("winston").Logger;
    const isJSONString: (cadena: string) => boolean;
    const stringToAccesgroup: (str: string) => string;
    const momento: () => moment.Moment;
    const sendMailTo: (data: Types.DataMail, auth: Types.AuthMail) => Promise<void>;
}
export declare namespace Turnos {
    /**
     * @param esquemas
     * @param utc
     * @param daySelected
     * Determina el inicio y fin de turno en horario UTC 0 y tz nacional basado en un esquema de trabajo.
     */
    const timesTurno: (esquemas: Types.EsquemaTrabajo[], utc: number, daySelected?: Date) => {
        turnoIni: {
            UTCTurno: string;
            TZTurno: string;
            timeView: string;
        };
        turnoFin: {
            UTCTurno: string;
            TZTurno: string;
            timeView: string;
        };
        turnoString: string;
    };
    /**
     *
     * @param begFin
     * @returns
     * Determina una fecha según un numeral. Por ej, el primer sabado de abril: begFin: 1-6-4
     */
    const getNumeralDayOfMonth: (begFin: {
        numeral: number;
        day: number;
        month: number;
        year: number;
    }) => any;
    const getMonthsDST: (timezone: string) => {
        monthIniDST: number;
        monthFinDST: number;
    };
    const getCalcMMAtTime: (historicAssignments: Types.Assignments[]) => number;
}
export declare namespace Machine {
    const totalRam: () => string;
    const getCpu: () => string;
    const getCpuSpeed: () => string;
    const getMacAddress: () => string;
    const getIp: () => any;
}
export declare namespace Types {
    interface DataMail {
        mail: string;
        subject: string;
        body: string;
    }
    interface AuthMail {
        user: string;
        passwd: string;
        host: string;
        port: string;
    }
    interface EsquemaTrabajo {
        horaInicio: string;
        horaFin: string;
        dias: number[];
    }
    interface Assigned {
        name: string;
        uuid: string;
    }
    interface Assignments {
        date: string;
        assigned: Assigned[];
        info?: string;
    }
}
